#!/bin/bash




test -n "$KDEHOME" || KDEHOME="`kde4-config --localprefix`"; export KDEHOME
TMPDIR=`mktemp -d "$KDEHOME"/tmp-"$HOSTNAME"/scaleandsend.XXXX` || exit 1

ATTACHMENTS="";

choice=`kdialog --title "resize for kmail" --radiolist "Choose" 1 "Original"  off 2 "1024x768"  off 3 "800x640" on 4 "640x480"  off 5 "Custom" off `;

let "nbfiles = $#" 
dbusRef=`kdialog --progressbar "working..." $nbfiles`
qdbus $dbusRef showCancelButton true 
compteur=0

for i in "$@";do
	if [ -f "$i" ];then
		#test if cancel button has been pushed
		if [[ "$(qdbus $dbusRef wasCancelled)" == "true" ]] ; then
			qdbus $dbusRef close
			exit 1
		fi
		ATTACHMENTS="$i"
		let "compteur +=1"
		case "$choice" in 
			1) cp "$i" $TMPDIR;;
			2) 
			qdbus $dbusRef setLabelText "change `basename "$ATTACHMENTS"`"
			qdbus $dbusRef org.freedesktop.DBus.Properties.Set org.kde.kdialog.ProgressDialog value $compteur
			convert -quality 0.5 -resize 1024x768 "$ATTACHMENTS" ""$TMPDIR"/`basename "$ATTACHMENTS"`";;
			3) 
			qdbus $dbusRef setLabelText "change `basename "$ATTACHMENTS"`"
			qdbus $dbusRef org.freedesktop.DBus.Properties.Set org.kde.kdialog.ProgressDialog value $compteur
			convert -quality 0.5 -resize 800x640 "$ATTACHMENTS" ""$TMPDIR"/`basename "$ATTACHMENTS"`";;
			4) 
			qdbus $dbusRef setLabelText "change `basename "$ATTACHMENTS"`"
			qdbus $dbusRef org.freedesktop.DBus.Properties.Set org.kde.kdialog.ProgressDialog value $compteur
			convert -quality 0.5 -resize 640x480 "$ATTACHMENTS" ""$TMPDIR"/`basename "$ATTACHMENTS"`";;
			5)
			qdbus $dbusRef setLabelText "change `basename "$ATTACHMENTS"`"
			qdbus $dbusRef org.freedesktop.DBus.Properties.Set org.kde.kdialog.ProgressDialog value $compteur
			Y="`kdialog --title "choose" --inputbox "your size"`"
			SIZE=$Y;
			convert -quality 0.5 -resize "$SIZE" "$ATTACHMENTS" ""$TMPDIR"/`basename "$ATTACHMENTS"`";;
			*)
			qdbus $dbusRef close;
			rm -rf "$TMPDIR"
			exit 0;;
		esac
	fi;
done

kmail --attach "$TMPDIR"/*;
qdbus $dbusRef close;
kdialog --msgbox "Ready"
rm -rf "$TMPDIR"




















